<?php 
/**
 * Template part - Choose Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bizhunt
 */

?>
<?php 
$choose_enable             	= get_theme_mod( 'bizhunt_choose_enable', 1 );
$bizhunt_choose_title      	= get_theme_mod( 'bizhunt_choose_title', '' );
$bizhunt_choose_subtitle   	= get_theme_mod( 'bizhunt_choose_subtitle', '' );
$bizhunt_choose_content  	= get_theme_mod( 'bizhunt_choose_content', '' );

$choose_no        			= 4;
$bizhunt_choose_icon     	= array();
$bizhunt_choose_page      	= array();

for( $i = 1; $i <= $choose_no; $i++ ) {
	$bizhunt_choose_icon[]    = get_theme_mod( "bizhunt_choose_icon_$i", '' );
	$bizhunt_choose_page[]    = absint( get_theme_mod( "bizhunt_choose_page_$i", 1 ) );

}

$choose_args  = array(
	'post_type'             => 'page',
	'post__in'              => $bizhunt_choose_page,
	'posts_per_page'        => $choose_no,
	'ignore_sticky_posts'   => 1,
	'order'                 => 'ASC'
); 

$choose_query = new   wp_Query( $choose_args );
if(  $choose_enable == 1 && $choose_query->have_posts() ) :
	?>
	<section class="why-choose section">
		<div class="container">
			<div class="row">
				<?php if(get_theme_mod('bizhunt_choose_video_url') && get_theme_mod('bizhunt_choose_video_image')): ?>
				<div class="col-md-6 col-sm-12 col-xs-12 wow fadeInUp" data-wow-duration="0.6s" data-wow-delay="1s">
					<div class="choose-left">
						<img src="<?php echo esc_attr(get_theme_mod('bizhunt_choose_video_image')); ?>">
						<a href="<?php echo esc_attr( esc_url( get_theme_mod('bizhunt_choose_video_url') ) ); ?>" class="video video-popup mfp-iframe">
							<i class="fa fa-play"></i>
						</a>
					</div>
				</div>
			<?php endif; ?>
			<div class="col-md-6 col-sm-12 col-xs-12 wow fadeInUp" data-wow-duration="0.6s" data-wow-delay="1.8s">
				<div class="choose-right">
					<div class="row">
						<div class="col-md-12">
							<div class="title">
								<?php if(!empty($bizhunt_choose_subtitle)): ?>
									<h4><?php echo esc_html($bizhunt_choose_subtitle); ?></h4>
								<?php endif; ?>
								<?php if(!empty($bizhunt_choose_title)): ?>
									<h2><?php echo esc_html($bizhunt_choose_title); ?></h2>
								<?php endif; ?>
								<?php if(!empty($bizhunt_choose_content)): ?>
									<p><?php echo esc_html($bizhunt_choose_content); ?></p>
								<?php endif; ?>
							</div>
							<div class="row">
								<?php
								$count = 0;
								while( $choose_query->have_posts() ) :
									$choose_query->the_post();
									?>
									<div class="col-md-6 col-12">
										<!-- single-choose -->
										<div class="single-choose">
											<i class="fa <?php echo esc_attr( $bizhunt_choose_icon[ $count ] ); ?>"></i>
											<div class="single-content">
												<h4><?php the_title(); ?></h4>
												<?php the_excerpt(); ?>
											</div>
										</div>
										<!--/End single-choose -->
									</div>
									<?php
									$count++;
								endwhile;
								wp_reset_postdata();
								?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<?php endif; ?>