<?php 
/**
 * Template part - Team Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bizhunt
 */

?>
<?php 

$team_enable             	= get_theme_mod( 'bizhunt_team_enable', 1 );
$bizhunt_team_title      	= get_theme_mod( 'bizhunt_team_title');
$bizhunt_team_subtitle   	= get_theme_mod( 'bizhunt_team_subtitle');
$bizhunt_team_content  	    = get_theme_mod( 'bizhunt_team_content');

$i=1;
for($k=1;$k<11;$k++){
	$bizhunt_team_page[$i] = get_theme_mod('bizhunt_team_page_'.$k);    
	$bizhunt_team_post[$i] = get_theme_mod('bizhunt_team_post_'.$k);
	$i++;     
}
$args = array (
	'post_type' => 'page',
	'posts_per_page' => $i,
	'post__in'      => $bizhunt_team_page,
	'orderby'        =>'post__in',
);
$testimonial_query = new WP_Query($args);
if ($team_enable == 1 && $testimonial_query->have_posts()) :


	?>
	<section id="team" class="section">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="section-title">
						<?php if(!empty($bizhunt_team_subtitle)): ?>
							<h4><?php echo esc_html($bizhunt_team_subtitle); ?></h4>
						<?php endif; ?>
						<?php if(!empty($bizhunt_team_title)): ?>
							<h2><?php echo esc_html($bizhunt_team_title); ?></h2>
						<?php endif; ?>
						<?php if(!empty($bizhunt_team_content)): ?>
							<p><?php echo esc_html($bizhunt_team_content); ?></p>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<div class="row">
				<?php
				$k=1;
				while( $testimonial_query->have_posts() ) :
					$testimonial_query->the_post();
					?>
					<div class="col-md-3 col-sm-6 col-xs-12 wow fadeInUp" data-wow-duration="0.8s" data-wow-delay="0.4s">
						<!-- Single Team -->
						<div class="single-team">
							<div class="team-head">
								<?php 
								if( has_post_thumbnail() ) :
									the_post_thumbnail('bizhunt_team_265_210');
								endif;
								?>
								<div class="team-content">
									<div class="t-name">
										<h4><?php the_title(); ?>
										<?php if(!empty( $bizhunt_team_post[ $k ] )) { ?>
											<span><?php echo esc_html( $bizhunt_team_post[ $k ] ); ?></span>
										<?php } ?>
									</h4>
								</div>
								<?php the_excerpt(); ?>
							</div>
						</div>
					</div>
					<!--/ End Single Team -->
				</div>
				<?php 
				$k++;
			endwhile; 
			wp_reset_postdata();
			?>
		</div>
	</div>
</section>
<?php endif; ?>