<?php 
/**
 * Template part - Work Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bizhunt
 */

?>
<?php 
$bizhunt_works_title      	= get_theme_mod( 'bizhunt_works_title', '' );
$bizhunt_works_subtitle   	= get_theme_mod( 'bizhunt_works_subtitle', '' );
$bizhunt_works_content  	= get_theme_mod( 'bizhunt_works_content', '' );

if(get_theme_mod('bizhunt_works_enable')):
	?>
	<section id="latest-works" class="section wow fadeInUp" data-wow-duration="0.6s" data-wow-delay="1s">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="section-title">
						<?php if(!empty($bizhunt_works_subtitle)): ?>
							<h4><?php echo esc_html($bizhunt_works_subtitle); ?></h4>
						<?php endif; ?>
						<?php if(!empty($bizhunt_works_title)): ?>
							<h2><?php echo esc_html($bizhunt_works_title); ?></h2>
						<?php endif; ?>
						<?php if(!empty($bizhunt_works_content)): ?>
							<p><?php echo esc_html($bizhunt_works_content); ?></p>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<?php  
			$works_categories    = get_theme_mod( 'bizhunt_works_category_id', '' );
			$categories             = array();
			if( !empty( $works_categories ) ) {
				$categories = array_map( 'intval', explode( ', ', $works_categories ) );
			}
			$works_args = array( 
				'post_type'             => 'post',
				'posts_per_page'        => 6,
				'cat'                   => $works_categories,
				'ignore_sticky_posts'   => 1,
			);

			$works_query = new WP_Query( $works_args );
			if($works_query->have_posts()):

				?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<?php
						$taxonomy   = 'category';
						$terms       = get_terms( $taxonomy );
						if( $terms && !is_wp_error( $terms ) ) :
							?>
							<!-- Project Nav -->
							<div class="works-menu">
								<ul>
									<li class="active" data-filter="*"><?php esc_html_e('View All','bizhunt'); ?></li>
									<?php
									foreach( $terms as $term ) :
										if( in_array( $term->term_id, $categories ) ) :
											?>
											<li data-filter="<?php echo '.'.esc_attr( $term->slug ); ?>"><?php echo esc_html( $term->name ); ?></li>
											<?php
										endif;
									endforeach;
									?>
								</ul>
							</div>
							<!--/ End Project Nav -->
							<?php
						endif;
						?>
					</div>
				</div>
				<div class="row">
					<div class="isotop-active">
						<?php
						while( $works_query->have_posts() ) :
							$works_query->the_post();
							$post_id = get_the_ID();
							$terms      = wp_get_post_terms( absint($post_id), 'category');
							$post_terms = '';
							foreach( $terms as $term ) {
								$post_terms .= $term->slug.' ';
							}
							?>
							<div class="col-md-4 col-sm-6 col-xs-12  <?php echo esc_attr( $post_terms ); ?>">
								<div class="single-work">
									<?php
									if( has_post_thumbnail() ) :
										the_post_thumbnail('bizhunt_work_360_280');
									endif;
									?>
									<div class="works-hover">
										<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
										<?php the_excerpt(); ?>
										<div class="link">
											<a href="<?php the_permalink(); ?>"><i class="fa fa-link"></i></a>
											<?php 
											$url = wp_get_attachment_url( get_post_thumbnail_id($post_id) );
											echo '<a class="link popup" href=" '.esc_url( $url ).' "><i class="fa fa-search" ></i></a>';
											?>
										</div>
									</div>
								</div>
							</div>
							<?php
						endwhile;
						wp_reset_postdata();
						?>
					</div>
				</div>
			<?php endif; ?>
			<?php if(get_theme_mod('bizhunt_works_button') && get_theme_mod('bizhunt_works_button_title')): ?>
			<div class="row">
				<div class="col-md-12">
					<div class="button-head">
						<div class="button">
							<a href="<?php echo esc_attr(esc_url(get_theme_mod('bizhunt_works_button'))); ?>" class="btn">
								<?php echo esc_html(get_theme_mod('bizhunt_works_button_title')); ?>
								<i class="fa fa-long-arrow-right">
								</i>
							</a>
						</div>
					</div>
				</div>
			</div>
		<?php endif; ?>
	</div>
</section>
<?php endif; ?>